Bug 1302933 - [abrt] gnome-boxes: boxes_wizard_toolbar_set_title_for_page(): gnome-boxes killed by signal 11
[abrt] gnome-boxes: boxes_wizard_toolbar_set_title_for_page(): gnome-boxes ki...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-boxes (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e5ae2a1789a1057c2505499aab4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 22:13 EST by Michael Catanzaro
Modified: 2016-12-20 13:16 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:16:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.84 KB, text/plain)
2016-01-28 22:13 EST, Michael Catanzaro
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-28 22:13 EST, Michael Catanzaro
no flags Details
File: core_backtrace (18.10 KB, text/plain)
2016-01-28 22:13 EST, Michael Catanzaro
no flags Details
File: dso_list (13.88 KB, text/plain)
2016-01-28 22:13 EST, Michael Catanzaro
no flags Details
File: environ (870 bytes, text/plain)
2016-01-28 22:13 EST, Michael Catanzaro
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-28 22:13 EST, Michael Catanzaro
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-28 22:13 EST, Michael Catanzaro
no flags Details
File: maps (63.98 KB, text/plain)
2016-01-28 22:14 EST, Michael Catanzaro
no flags Details
File: open_fds (2.27 KB, text/plain)
2016-01-28 22:14 EST, Michael Catanzaro
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2016-01-28 22:14 EST, Michael Catanzaro
no flags Details
File: var_log_messages (306 bytes, text/plain)
2016-01-28 22:14 EST, Michael Catanzaro
no flags Details

  None (edit)
Description Michael Catanzaro 2016-01-28 22:13:43 EST
Description of problem:
Hit New to create a new box, selected "Select a file", and selected an ISO image to import.

The second time I tried this, it imported successfully and booted fine. The first time, it crashed. This is that crash.

Version-Release number of selected component:
gnome-boxes-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-boxes --gapplication-service
crash_function: boxes_wizard_toolbar_set_title_for_page
executable:     /usr/bin/gnome-boxes
journald_cursor: s=f4e3d31c2cd74765bfef86f28866eb2f;i=329e9;b=9abdce2587cb4159954fd75820b2f8b3;m=872c3ce5f;t=52a7057146642;x=60e117c3744ca0f5
kernel:         4.3.3-301.fc23.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 boxes_wizard_toolbar_set_title_for_page at /home/zeenix/checkout/gnome/gnome-boxes/src/wizard-toolbar.vala:61
 #1 boxes_wizard_set_page at /home/zeenix/checkout/gnome/gnome-boxes/src/wizard.vala:135
 #2 _boxes_wizard_page_____lambda210_ at /home/zeenix/checkout/gnome/gnome-boxes/src/wizard.vala:107
 #3 __boxes_wizard_page_____lambda210__gasync_ready_callback at /home/zeenix/checkout/gnome/gnome-boxes/src/wizard.vala:103
 #4 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #5 boxes_wizard_review_co at /home/zeenix/checkout/gnome/gnome-boxes/src/wizard.vala:220
 #6 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #7 boxes_wizard_do_review_cancellable_co at /home/zeenix/checkout/gnome/gnome-boxes/src/wizard.vala:553
 #8 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #9 boxes_vm_creator_create_vm_co at /home/zeenix/checkout/gnome/gnome-boxes/src/vm-creator.vala:62
Comment 1 Michael Catanzaro 2016-01-28 22:13:51 EST
Created attachment 1119328 [details]
File: backtrace
Comment 2 Michael Catanzaro 2016-01-28 22:13:53 EST
Created attachment 1119329 [details]
File: cgroup
Comment 3 Michael Catanzaro 2016-01-28 22:13:54 EST
Created attachment 1119330 [details]
File: core_backtrace
Comment 4 Michael Catanzaro 2016-01-28 22:13:55 EST
Created attachment 1119331 [details]
File: dso_list
Comment 5 Michael Catanzaro 2016-01-28 22:13:56 EST
Created attachment 1119332 [details]
File: environ
Comment 6 Michael Catanzaro 2016-01-28 22:13:57 EST
Created attachment 1119333 [details]
File: exploitable
Comment 7 Michael Catanzaro 2016-01-28 22:13:58 EST
Created attachment 1119334 [details]
File: limits
Comment 8 Michael Catanzaro 2016-01-28 22:14:00 EST
Created attachment 1119335 [details]
File: maps
Comment 9 Michael Catanzaro 2016-01-28 22:14:01 EST
Created attachment 1119336 [details]
File: open_fds
Comment 10 Michael Catanzaro 2016-01-28 22:14:03 EST
Created attachment 1119337 [details]
File: proc_pid_status
Comment 11 Michael Catanzaro 2016-01-28 22:14:04 EST
Created attachment 1119338 [details]
File: var_log_messages
Comment 12 Jean-François Fortin Tam 2016-03-04 09:19:17 EST
Similar problem has been detected:

Tried creating a virtual machine out of Solus-1.1.iso (from Solus-Project.com)

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-boxes --gapplication-service
crash_function: boxes_wizard_toolbar_set_title_for_page
executable:     /usr/bin/gnome-boxes
global_pid:     13531
kernel:         4.4.3-300.fc23.x86_64
package:        gnome-boxes-3.18.1-1.fc23
reason:         gnome-boxes killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Thomas Spura 2016-04-27 03:53:54 EDT
Similar problem has been detected:

Try to install Windows in the VM :)

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-boxes --gapplication-service
crash_function: boxes_wizard_toolbar_set_title_for_page
executable:     /usr/bin/gnome-boxes
global_pid:     7694
kernel:         4.4.7-300.fc23.x86_64
package:        gnome-boxes-3.18.1-1.fc23
reason:         gnome-boxes killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Fedora End Of Life 2016-11-24 10:15:37 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 13:16:47 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.